Subject: RE: [lemonade] I-D ACTION:draft-ietf-lemonade-profile-bis-04.txt

From: <[email-masked]>
Date: Wed, 1 Nov 2006 12:23:01 +0200

Hi Randall,

>>>>  (3) In Section "4.3.  Message size declaration", the text:
>>>>     LEMONADE compliant mail submission servers MUST 
>resolve all BURL
>>>>     parts before enforcing a message size limit.
>>>>
>>>>  Requires the servers to expand all BURL parts, even if 
>the message  
>>>> already exceeds the message size limit.  A while back I suggested  
>>>> saying "Servers MUST NOT consider a message's size to be
>>>acceptable if
>>>>  it has not expanded all BURL parts."  I'm not wedded to that
>>>phrasing,
>>>>  but I do think we should allow servers to reject messages before  
>>>> expanding everything.
>>>
>>>I am not exactly happy with your replacement text, this might be too 
>>>subtle for people to notice. I need to think about better 
>>>alternatives.
>>  I would prefer writing it down as well. I am not sure how 
>to put it  
>> though. Here is another attempt:
>>  LEMONADE compliant mail submission servers MUST resolve all BURL 
>> parts  before enforcing a message size limit and MUST NOT 
>reject email 
>> messages  where the total size of the email message reassembled from 
>> BURL parts is  smaller than the message size limit.
>
>The problem with that text is that the first sentence is 
>identical to the original text and thus doesn't fix the flaw 
>that I discuss (see the quoted text from me, above).  The new 
>suggested text I sent in yesterday does fix it and also 
>addresses Alexey's concerns.  Also, the second sentence in 
>your text doesn't permit servers to reject messages for any 
>reason other than size, which I'm sure isn't your intent :-)

No, it is not my intent. I thought that the "where..." part would care
of that.
It's tricky to come up with a good wording that pleases everyone;
obviously mine was a poor attempt.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade